Bug 60050 - ia64 kernel decompress errors
ia64 kernel decompress errors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-19 09:28 EST by Shawn Stephens
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Stephens 2002-02-19 09:28:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
We have several IBM X380 itaniums. I have installed RedHat 7.2 ia64. Several 
times, when booting, sometime after is starts to uncompress the kernel, I get a 
message:

ia64_log_get : Failed to retrieve SAL error record type 3
ia64_mca_cpe_int_handler : received interrupt. vector = 0x1e

These messages continue to scroll across the console, causing me to reset the 
system.

IBM told me that Intel acknowledges this as an issue and is working with RedHat 
on this problem. I would appreciate if your would inform me if RedHat comes up 
with a fix for this. I expect that IBM will respond but in round about manner.


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Boot IBM x380 with stock kernel for RH 7.2
2.
3.
	

Actual Results:  ia64_log_get : Failed to retrieve SAL error record type 3
ia64_mca_cpe_int_handler : received interrupt. vector = 0x1e

scrolls across the screen ad infinitum.

Expected Results:  The kernel should have booted.

Additional info:
Comment 1 Arjan van de Ven 2002-02-19 09:53:16 EST
Are these 1 cpu machines ?
Comment 2 Shawn Stephens 2002-02-19 11:58:40 EST
these are 4 proc machines with as much as 16GB of memory
Comment 3 Arjan van de Ven 2002-02-19 12:16:15 EST
Ok then it's a new problem I've not seen before and we're not talkling to Intel
or IBM about it yet....


mca stands for "machine check architecure", eg self-diagnosis...... if something
goes wrong there, well..... 
MCA got introduced in "recent" firmware; and I think it can be turned of in the
firmware settings screen too.
Comment 4 Shawn Stephens 2002-02-19 14:50:11 EST
Your last comment helped us to understand the root of the problem further, 
although we still have the problem.  It seems that MCA is the method that the 
hardware talks to the syslog about what hardware problems are happening.  It 
seems every so often that the SAL is not ready/available at bootup, the MCA 
code can't read the SAL aso it fails and gives us these errors.

In the BIOS, there is a menu for Event Log that has some of the following 
options:

(from my memory)
Enable/disable SERR
Enable/disable PERR
Enable/disable HERR
Clear all MCA records enable/disable
more that I can't recall.....

We tried the clear MCA records, and it didn't do anything different.  What are 
the SERR, PERR, HERR, etc.?
Comment 5 Shawn Stephens 2002-02-20 10:10:20 EST
We noticed there was a project on SourceForge that is supposed to clean up MCA 
logging -- IA64 Linux MCA recovery.  Should we look into upgrading our kernel 
and applying this patch?
Comment 6 Arjan van de Ven 2002-02-20 10:27:11 EST
I'm no expert on MCA but... upgrading an ia64 kernel will be "fun"... 
MCA's just shouldn't happen; it's hardware problems ;(
Comment 7 Bugzilla owner 2004-09-30 11:39:23 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.